﻿
@{
    ViewBag.Title = "Tim";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div id="main">
    <div class="m-2 p-2" style="border:1px solid black">
        <select class="form-control" v-model="maQuocGia" v-on:change="getAllTinhThanh()">
            <option v-for="item in lstQuocGia" v-bind:value="item.maQuocGia">{{item.tenQuocGia}}</option>
        </select>
        <select class="form-control" v-model="maTinhThanh" v-on:change="getAllDiaDiem()">
            <option v-for="item in lstTinhThanh" :value="item.maTinhThanh">{{item.tenTinhThanh}}</option>
        </select>
        <select class="form-control" v-model="maDiaDiem" >
            <option v-for="item in lstDiaDiem" :value="item.maDiaDiem">{{item.tenDiaDiem}}</option>
        </select>

    </div>
    @*<div class="card" v-for="(item, indexRow) in dataRow">
        <div class="card-header" style="font-weight:500;font-size:15px">
            Ten Tour / ngay di - ngay ve
            {{item.maTour}}
        </div>
        <div class="card-body row">
            <div class="img-tk col-md-3">
                <img style="width:200px; height:150px" src="~/Content/imager/DaNang.jpg" />
            </div>
            <div class="content-tk col-md-9">
                <p class="card-text card-tk  ">
                    With supporting text below as a natural lead-in to additional content
                    With supporting text below as a natural lead-in to additional content
                    With supporting text below as a natural lead-in to additional contentWith supporting text below as a natural lead-in to additional content


                    With supporting text below as a natural lead-in to additional contentWith supporting text below as a natural lead-in to additional content
                    With supporting text below as a natural lead-in to additional contentWith supporting text below as a natural lead-in to additional content
                    With supporting text below as a natural lead-in to additional contentWith supporting text below as a natural lead-in to additional content
                    With supporting text below as a natural lead-in to additional content.
                </p>
                <div class="price">
                    <i>Giá:</i><span>10000000<sup>đ</sup></span>
                </div>
                <div class="d-flex justify-content-end">
                    <button type="button" class="btn btn-light mr-2"><a href="@Url.Action("Xem","Tour")">Xem Tour</a></button>
                    <button type="button" class="btn btn-primary"><a href="@Url.Action("Dat","Tour")">Đặt Tour</a></button>
                </div>
            </div>

        </div>
    </div>*@
</div>
<script>
    var main = new Vue({
        el: "#main",
        model: {},
        data() {
            return {
                dataRow: [],
                lstQuocGia: [],
                lstTinhThanh: [],
                lstDiaDiem: [],
                fileImport: null,
                uploadDone: false,
                submitblock: false,
                maQuocGia: '',
                maTinhThanh: '',
                maDiaDiem:'',
            }
        },
        computed: {

        },
        watch: {

        },
        updated() {


        },
        mounted() {

            this.getAllQuocGia();
        },
        methods: {
            getAllQuocGia: function () {
                console.log(this.maQuocGia)
                axios.get('http://localhost:50957/' + 'QuocGias/getAllQuocGia')//sheet
                    .then(response => {
                        
                        this.lstQuocGia = response.data.contents;
                        console.log(this.lstQuocGia);
                    });
            },
            getAllTinhThanh: function () {
                console.log(this.maQuocGia)
                axios.get('http://localhost:50957/' + 'TinhThanhs/getAllTinhThanhByIdQuocGia?maquocgia=' + this.maQuocGia)//sheet
                    .then(response => {
                        console.log(response);
                        this.lstTinhThanh = response.data.contents
                    });
            },

            getAllDiaDiem: function () {
                //this.$emit('block', true);

                axios.post('http://localhost:50957/' + 'DiaDiems/getAllDiaDiemByIdTinhThanh', { maTinhThanh: this.maTinhThanh })//sheet
                    .then(response => {
                        console.log(response);
                        this.lstDiaDiem = response.data.contents
                    });

            },


        }
    });
</script>
@*<script>
    var main = new Vue({
        el: "#main",
        model: {},
        data() {
            return {
                dataRow: [],
                lstQuocGia: [],
                lstTinhThanh: [],
                lstDiaDiem: [],
                fileImport: null,
                uploadDone: false,
                submitblock: false,
                maQuocGia: '',
                maTinhThanh: '',
            }
        },
        computed: {

        },
        watch: {

        },
        updated() {


        },
        mounted() {

            this.getAllQuocGia();
        },
        methods: {
            getAllQuocGia: function () {

                axios.get('http://localhost:50957/' + '/QuocGias/getAllQuocGia')//sheet
                    .then(response => {
                        console.log(response);
                        this.lstQuocGia = response.data.contents
                    });
            },
            getAllTinhThanh: function () {

                axios.get('http://localhost:50957/' + '/TinhThanhs/getAllTinhThanhByIdQuocGia', { maquocgia: this.maQuocGia })//sheet
                    .then(response => {
                        console.log(response);
                        this.lstTinhThanh = response.data.contents
                    });
            },

            getAllDiaDiem: function () {
                //this.$emit('block', true);

                axios.post('http://localhost:50957/' + '/DiaDiems/getAllDiaDiemByIdTinhThanh', { maTinhThanh: this.maTinhThanh })//sheet
                    .then(response => {
                        console.log(response);
                        this.lstDiaDiem = response.data.contents
                    });

            },


        }
    });
</script>*@
